FREAKIN' RECTANGLE

Discussion in 'AutoCAD' started by stype, May 25, 2005.

  1. stype

    stype Guest

    how do i draw plane ol' rectangle with just putting in the length and width
    parametars?

    this one is anoying me for years now .... cause those options in the
    rectangle command are not working for me

    for example if i want to draw a window 140 x 80 cm in 2d using rectangle
    command how do i do that?
     
    stype, May 25, 2005
    #1
  2. I usually use one of a few different custom lisps to do rectangles.
    For what you want I'd use this one:

    (defun C:bx ( / a b c d)
    (setvar "cmdecho" 0)
    (setq ds1 (getreal "\nLength: "))
    (setq ds2 (getreal "\nHeight: "))
    (setq a (getpoint "\nStart Point: "))
    (setq b (polar a 0.00 ds1))
    (setq c (polar b (/ pi 2.0) ds2))
    (setq d (polar c pi ds1))
    (command "PLINE" a b c d "C")
    (prin1)
    )
    (prompt "\n[ * LOADING COMPLETE * ]\n")
    (prompt "\n[ * EXECUTABLE AutoLISP FUNCTION IS < BOX > * ]\n")
    (prin1)

    It generates from the lower left to the upper right in a normal ucs. I hav
    often though about revising it to generate from the center of the box, as
    you would want for column footings, but I'm too busy lately.
     
    Michael Bulatovich, May 25, 2005
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.